%define build_mdk82 %(if [ `awk '{print $4}' /etc/mandrake-release` = 8.2 ];then echo 1; else echo 0; fi)
%if %build_mdk82
%define base_name	kdemoreartwork3
%define _prefix 	/opt/kde3
%define _menudir 	/usr/lib/menu
%else
%define base_name	kdemoreartwork
%endif
%define theme_name	splx98
%define theme_Name	splx98
%define name		%{base_name}-%{theme_name}
%define version		0.2
%define release		2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Icons, theme,  of splx98 for KDE
License:	GPL
Group:		Graphical desktop/KDE
Source:		%{theme_Name}.tar.gz
%if %build_mdk82
Requires:	kdebase3
%else
Requires:	kdebase
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Icons, theme, style and window decorations of Windows 9x

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -c
# clean xvpics
find . -type d -name .xvpics | xargs rm -rf
# clean empty files
rm -f icons/lycoris/48x48/devices/.directory

%build

%install
# Icons:
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons/%{theme_Name}
# idiotic layout of this theme, so:
cp -r icons/%{theme_Name}/* $RPM_BUILD_ROOT%{_datadir}/icons/%{theme_Name}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/kdisplay/color-schemes
mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/kstyle/

cp splx98.kcsrc    $RPM_BUILD_ROOT%{_datadir}/apps/kdisplay/color-schemes/
cp -r kstyle/* $RPM_BUILD_ROOT%{_datadir}/apps/kstyle/

# Style:
#install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/apps/kstyle
##cp -r lycorisStyle/pixmaps $RPM_BUILD_ROOT%{_datadir}/apps/kstyle
#cp -r lycorisStyle/themes $RPM_BUILD_ROOT%{_datadir}/apps/kstyle
cp -r wallpapers $RPM_BUILD_ROOT%{_datadir}

# Theme:
#install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/apps/kthememgr/Themes
#cp -r lycorisTheme/lycoris.ktheme $RPM_BUILD_ROOT%{_datadir}/apps/kthememgr/Themes
#cp -r lycorisTheme/lycoris $RPM_BUILD_ROOT%{_datadir}/apps/kwin/icewm-themes

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc 
%{_datadir}/icons/%{theme_Name}/*
#%{_datadir}/apps/kstyle/pixmaps/%{theme_Name}/*
#%attr(0644,root,root) %{_datadir}/apps/kstyle/themes/*
%{_datadir}/wallpapers/*
%{_datadir}//apps/kdisplay/color-schemes/*
%{_datadir}//apps/kstyle/*

#%{_datadir}/apps/kwin/icewm-themes/%{theme_Name}/*
#%attr(0644,root,root) %{_datadir}/apps/kthememgr/Themes/*

